Get cluster network policy
GET
/api/v1/organizations/{orgID}/clusters/{clusterID}/network
const url = 'https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/network';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/network \ --header 'Authorization: Bearer <token>'Returns the authorized source-IP allowlist and optional API server connection rate limit for the cluster’s public control-plane endpoint.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” orgID
required
string format: uuid
Organization UUID.
clusterID
required
string format: uuid
Cluster UUID.
Responses
Section titled “ Responses ”The cluster network policy.
Media type application/json
object
cluster_id
required
string format: uuid
authorized_cidrs
required
Source-IP allowlist (CIDRs) for the public control-plane endpoint.
Array<string>
api_server_rate_limit
updated_at
required
string format: date-time
Example generated
{ "cluster_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "authorized_cidrs": [ "example" ], "api_server_rate_limit": { "max_connections_per_second": 1, "burst": 1 }, "updated_at": "2026-04-15T12:00:00Z"}Missing or invalid credentials.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}The requested resource was not found.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}